<?
session_start();
require("../conectar.php");
$fechaActual=date("Y-m-d");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Subir Expediente</title>
<script language="javascript" src="js/calendar_db.js"></script>
<script language="javascript" src="js/jquery-1.3.1.min.js"></script>
<script language="javascript" src="js/AjaxUpload.2.0.min.js"></script>
<link type="text/css" href="js/calendar.css" rel="stylesheet" />
<style>	 
            .tabla{width:60%;background:#ffffff;border-collapse: collapse;font-family:arial;}
			.titulo{height:35px;max-height:35px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:15px;}
			.titulos{height:30px;background:url(images/tcancion.jpg) ;max-height:30px !important;color:#ffffff;font-size:12px;}
			.subtitulos{height:30px;background:url(images/tcancion.jpg) repeat-x;max-height:30px !important;color:#ffffff;font-size:10px;}
			.nombre{height:28px;background:#0a0a0a;color:#ffffff;text-align:center;font-size:12px;}
			.concepto{width:203px;height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;text-align:center;font-size:11px;text-align:left;}
			.concepto2{width:203px;height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;font-size:11px;text-align:center;}
			.inp{width:300px;font-size:10px;}
			.inpd{width:15px;text-align:right;font-size:10px;}
			.tdcal{background:#ffffff;font-size:11px;}
			.tdcali{background:#ffffff;font-size:11px;border-right:solid 1px #A9D0F5;}
			.tdcalm{background:#A9D0F5;font-size:11px;}
			.tdcal1p{background:#F9F263;font-size:11px;font-weight:bold;}
			.tdcali1p{background:#F9F263;font-size:11px;border-right:solid 1px #A9D0F5;font-weight:bold;text-align:justify;}
			.tdcalm1p{background:#C6E06D;font-size:11px;text-align:left;}
			.act{display:block;overflow:hidden;width:100%;height:50px;background:#BEF781;font-family:arial;font-size:17px;font-weight:bold;color:#4B610B;text-align:center;border:solid 2px #4B610B;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px; -Moz-box-shadow: 0px 5px 10px # 556B2F;-webkit-box-shadow: 0px 5px 10px #556B2F; box-shadow: 0px 5px 10px #556B2F;}
			.act p{position:relative;top:0px;}
			.act img{position:relative;width:40px;height:40px;top:-50px;left:250px;}
			h2{font-family:arial;font-size:16px;}
			.sinfor{text-decoration:none;}
			
			
			   .rentatab{border-collapse:collapse;color:#0d0d0d;font-family:arial;font-size:12px;}
               .rentatab .filatit{min-height:20px !important;max-height:20px !important;height:20px !important;background:#D8D8D8;border-top:solid 1px #D8D8D8;font-size:13px;}			   
               .rentatab .fila{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:12px;}
               .rentatab .fila td{border-left:solid 1px #D8D8D8;padding-left:5px;}
               .rentatab .fila td:first-child{border-left:none;}

	  #upload_button,#upload_button2,#upload_button3{
      color:#CCCCCC;
      font-weight:bold;
      margin:auto;
	  position: absolute;margin-top:-1px;width: 80px;height: 15px;background:#086A87;color:#FFFFFF;overflow:hidden;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;
    } 
	 </style>
<script language="javascript">
$(document).ready(function(){
	var button = $('#upload_button'), interval;
	new AjaxUpload('#upload_button', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista").value=response;
			$('#listap').appendTo('.files').text(file);
		}	
	});
});
$(document).ready(function(){
	var button = $('#upload_button2'), interval;
	new AjaxUpload('#upload_button2', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista2").value=response;
	
			$('#lista2p').appendTo('.files').text(file);
		}	
	});
});
$(document).ready(function(){
	var button = $('#upload_button3'), interval;
	new AjaxUpload('#upload_button3', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista3").value=response;
	
			$('#lista3p').appendTo('.files').text(file);
		}	
	});
});
</script>
</head>

<body>
<?
$idrenta=$_GET['idrenta'];
$idconcepto=$_GET['idconcepto'];
$idcliente=$_GET['idcliente'];
$sql="select concat(nombre,' ',a_pat,' ',a_mat) as cliente from clientes where id_cliente='$idcliente'"; 
$eje=mysql_query($sql);
$reg=mysql_fetch_array($eje);
?>
<form action="#" method="POST" enctype="multipart/form-data" name="forma" onsubmit="return validar(this)">
<center>	   
	<table class="rentatab" width="800">
	    <tr>
		 <td></td>
		</tr>
		<tr class="titulo">
		 <td colspan="2">
		  <center>SUBIR DOCUMENTOS <b><?echo $reg['cliente'];?></b></center>
	     </td>
		</tr> 
	</table>	
	<? 
	  $sqlexp="select * from expedienteCliente where idcliente='$idcliente' and idrenta='$idrenta' and idconcepto='$idconcepto'";
	  $eje=mysql_query($sqlexp);
	  $tot=mysql_num_rows($eje);
	  if($tot!=0){
	  $expe=mysql_fetch_object($eje);
	  if($expe->identificacion!=""){$ident="<a href='$expe->identificacion' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$ident="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->contrato!=""){$cont="<a href='$expe->contrato' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$cont="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->hojaregistro!=""){$hoja="<a href='$expe->hojaregistro' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$hoja="<img src='img/nook.png' width='15' height='15'>";}
	  $var=1;
	  }
	?>
    <table class="rentatab" width="800">  		
		<tr>
		  <td></td>
		  <td>
			<input name="archivo1" id="subir1" type="file" class="inp" style="display:none">
			<input type="hidden" name="a1" value="<?echo $expe->caratula?>">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Identificacion:</td>
		  <td class="fila">
			<!--<input name="archivo2" id="subir2" type="file" class="inp"><?echo $ident; ?>
			<input type="hidden" name="a2" value="<?echo $expe->identificacion?>">-->
		  <div id="upload_button"><center>Subir</center></b></div><p id="listap" style="width:15px;height:15px;margin-top:0px;margin-left:100px"><?echo $ident?></p><input type="hidden" id="lista" name="lista" value="<?echo $expe->identificacion?>">			
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Contrato:</td>
		  <td class="fila">
			<!--<input name="archivo3" id="subir3" type="file" class="inp"><?echo $cont; ?>
			<input type="hidden" name="a3" value="<?echo $expe->contrato?>">-->
		   <div id="upload_button2"><center>Subir</center></b></div><p id="lista2p"  style="width:15px;height:15px;margin-top:0px;margin-left:100px"><?echo $cont?></p><input type="hidden" id="lista2" name="lista2" value="<?echo $expe->contrato?>">
		  </td>
		  <td></td>
		</tr>
		<tr>
		  <td class="filatit">Hoja de registro:</td>
		  <td class="fila">
			<!--<input name="archivo4" id="subir4" type="file" class="inp"><?echo $hoja; ?>
			<input type="hidden" name="a4" value="<?echo $expe->hojaregistro?>">-->
		  <div id="upload_button3"><center>Subir</center></b></div><p id="lista3p"  style="width:15px;height:15px;margin-top:0px;margin-left:100px"><?echo $hoja?></p><input type="hidden" id="lista3" name="lista3" value="<?echo $expe->hojaregistro?>">			
		  </td>
		</tr>
	    <tr>
		  <td class="filatit">Tipo de Identificaci&oacute;n:</td>
		  <td class="fila">
			<input name="tipoiden" id="tipoiden" type="text" class="inp" value="<?echo $expe->tipoiden;?>" onchange="this.value=this.value.toUpperCase()">
		  </td>
		</tr>
		<tr>
	    <tr>
		  <td class="filatit">No de Identificaci&oacute;n:</td>
		  <td class="fila">
			<input name="noiden" id="noiden" type="text" class="inp" value="<?echo $expe->noidentificacion;?>">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Direccion:</td>
		  <td class="fila">
			<input name="dir" id="dir" type="text" class="inp" value="<?echo $expe->direccion;?>" onchange="this.value=this.value.toUpperCase()">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Nombre del cuentahabiente:</td>
		  <td class="fila">
			<input name="cuentahabiente" id="cuentahabiente" type="text" class="inp" value="<?echo $expe->cuentahabiente;?>" onchange="this.value=this.value.toUpperCase()">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Banco:</td>
		  <td class="fila">
			<!--<input name="banco" id="banco" type="text" class="inp" value="<?echo $expe->banco;?>">-->
			<?if($expe->banco!=""){$op="<option value='$expe->banco'>$expe->banco</option>";}else{$op="";}?>
			<select name="banco" id="banco" class="inp">
			 <?echo$op;?>
			 <option value="">--ESCOGE BANCO--</option>
			 <option value="BANAMEX">BANAMEX</option>
			 <option value="BANCOMER">BANCOMER</option>
			 <option value="BANORTE">BANORTE</option>
			 <option value="HSBC">HSBC</option>
			 <option value="INBURSA">INBURSA</option>
			 <option value="IXE">IXE</option>			 
			 <option value="SANTANDER">SANTANDER</option>	 	  	 
			 <option value="SCOTIABANK">SCOTIABANK</option>	 
			</select>
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Numero de cuenta:</td>
		  <td class="fila">
			<input name="cuenta" id="cuenta" type="text" class="inp" value="<?echo $expe->nocuenta;?>">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Clabe interbancaria:</td>
		  <td class="fila">
			<input name="clabe" id="clabe" type="text" class="inp" maxlength="18" value="<?echo $expe->clabe;?>">
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Observaciones:</td>
		  <td class="fila">
			<textarea class="inp" name="obs"><?echo $expe->observacion;?></textarea>
			<input type="hidden" name="idemp" value="<?echo $idcliente?>">
			<input type="hidden" name="freg" value="<?echo $fechaActual;?>">
			<input type="hidden" name="var" value="<?echo $var;?>">
			
			<input type="hidden" name="idrenta" value="<?echo $idrenta;?>">
			<input type="hidden" name="idconcepto" value="<?echo $idconcepto;?>">
			
		  </td>
		</tr>
		<tr>
		  <td class="filatit">Correo PAYPAL:</td>
		  <td class="fila">
			<input name="paypal" id="paypal" type="text" class="inp"  value="<?echo $expe->correopaypal;?>">
		  </td>
		</tr>		
		<tr>
		  <td class="concepto2" colspan="2" align="center"><input type="submit" name="exp" value="GUARDAR"></td>
		</tr>		
	</table>					
</form>
</center>
<? if(isset($_POST['exp'])){
$idemp=$_POST['idcliente'];
$idrenta=$_POST['idrenta'];
$idconcepto=$_POST['idconcepto'];
$freg=$_POST['freg'];
$obs=$_POST['obs'];
$var=$_POST['var'];
$tipoidentificacion=$_POST['tipoiden'];
$noidentificacion=$_POST['noiden'];
$direccion=$_POST['dir'];
$cuentahabiente=$_POST['cuentahabiente'];
$banco=$_POST['banco'];
$nocuenta=$_POST['cuenta'];
$clabe=$_POST['clabe'];
$paypal=$_POST['paypal'];
$documentos[1]="IDENTIFICACION";
$documentos[2]="CONTRATO";
$documentos[3]="HOJA DE REGISTRO";

$a2=$_POST['lista'];
$a3=$_POST['lista2'];
$a4=$_POST['lista3'];
$destino=$a2;
$destino2=$a3;
$destino3=$a4;

/*$documentos[4]="CONTRATO BANCARIO";
$documentos[5]="COMPROBANTE DE ESTUDIOS";
$documentos[6]="COMPROBANTE DE DOMICILIO";
$documentos[7]="CONTRATO";*/

if($var!=1){
// obtenemos los datos de los archivos
   /* for($i=2;$i<=4;$i++){
	$tamano = $_FILES["archivo$i"]['size'];
	$tipo = $_FILES["archivo$i"]['type'];
	$archivo = $_FILES["archivo$i"]['name'];
	$prefijo = substr(md5(uniqid(rand())),0,6);
	
	if ($archivo != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino=  "expedientecliente/".$prefijo."_".$archivo;
		$var="archivo$i";
		if (copy($_FILES[$var]['tmp_name'],$destino)) {
			$status = "Archivo subido: <b>".$archivo."</b>";
		} else {
			$status = "Error al subir el archivo";
		}
		$ruta="'$destino',";
        $expediente=$expediente.$ruta;
	} else {
	    $destino="";
		$status = "No subio ".$documentos[$i];
		$ruta="'$destino',";
        $expediente=$expediente.$ruta;
	}		
	echo "<center style='font-size:11px;font-weight:bold;'>".$status."</center>";
	/////////////////////////////////////////////////
   }*/
     $sql="INSERT INTO expedienteCliente (idcliente,freg,identificacion,contrato,hojaregistro,tipoiden,noidentificacion,direccion,cuentahabiente,banco,nocuenta,clabe,observacion,validacion,idrenta,idconcepto,correopaypal)values('$idcliente','$freg','$destino','$destino2','$destino3','$tipoidentificacion','$noidentificacion','$direccion','$cuentahabiente','$banco','$nocuenta','$clabe','$obs','$validacion','$idrenta','$idconcepto','$paypal')";
    mysql_query($sql);
	?>
	<script>
	  alert("LOS DATOS SE HAN REGISTRADO CORRECTAMENTE.");
	  window.close();
    </script>	
<?	
  }
  if($var==1){
	$a2=$_POST['lista'];
	$a3=$_POST['lista2'];
	$a4=$_POST['lista3'];
	
	$destino=$a2;
	$destino2=$a3;
	 $destino3=$a4;
	 
		/*$tamano = $_FILES["archivo2"]['size'];
		$tipo = $_FILES["archivo2"]['type'];
		$archivo = $_FILES["archivo2"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,6);
		if($archivo==""){
		    $destino=$a2;
		   }elseif($archivo != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino= "expedientecliente/".$prefijo."_".$archivo;
		$var="archivo2";
		if(copy($_FILES[$var]['tmp_name'],$destino)) {
			echo $status = "Archivo subido: <b>".$archivo."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }
		 
		$tamano2 = $_FILES["archivo3"]['size'];
		$tipo2 = $_FILES["archivo3"]['type'];
		$archivo2 = $_FILES["archivo3"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,6);
		if($archivo2==""){
		    $destino2=$a3;
		   }elseif($archivo2 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino2= "expedientecliente/".$prefijo."_".$archivo2;
		$var="archivo3";
		if(copy($_FILES[$var]['tmp_name'],$destino2)) {
			echo $status = "Archivo subido: <b>".$archivo2."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }
		 
		$tamano3 = $_FILES["archivo4"]['size'];
		$tipo3 = $_FILES["archivo4"]['type'];
		$archivo3 = $_FILES["archivo4"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,6);
		if($archivo3==""){
		    $destino3=$a4;
		   }elseif($archivo3 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino3= "expedientecliente/".$prefijo."_".$archivo3;
		$var="archivo4";
		if(copy($_FILES[$var]['tmp_name'],$destino3)) {
			echo $status = "Archivo subido: <b>".$archivo3."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }	 */
		   
		$sql="UPDATE expedienteCliente set identificacion='$destino',contrato='$destino2',hojaregistro='$destino3',tipoiden='$tipoidentificacion',noidentificacion='$noidentificacion',direccion='$direccion',cuentahabiente='$cuentahabiente',banco='$banco',nocuenta='$nocuenta',clabe='$clabe',observacion='$obs',correopaypal='$paypal' where idcliente='$idcliente' and idrenta='$idrenta' and idconcepto='$idconcepto'";
        mysql_query($sql);
		?>
	<script>
	  alert("LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE.");
	  window.close();
    </script>
		<?}
  }
?>
</body>
</html>
